Bug 1731384

Summary: Spawning depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: SpawningAssignee: Kevin Fenzi <kevin>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: kevin, mhroncok, smilner
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-02 21:57:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1698500    

Description Lumír Balhar 2019-07-19 09:58:20 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for Spawning's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

This bug is filed semi-automatically, and might not have all the context specific to Spawning.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-19 10:06:36 UTC
The last release is from 2011 so I am not sure how much active this project is.

Comment 2 Kevin Fenzi 2019-07-20 18:59:16 UTC
Given that upstream has archived the project and yeah, the last release was in 2011, I think this package can be retired.

Should I do so now, or is there some agreed upon time/deadline?

Comment 3 Lumír Balhar 2019-07-29 05:05:18 UTC
You can do it now. Nothing depends on Spawning in rawhide.

Comment 4 Kevin Fenzi 2019-08-02 21:57:49 UTC
Done.

Comment 5 Miro Hrončok 2019-08-02 21:58:45 UTC
Thank you.

Comment 6 Miro Hrončok 2019-08-06 11:55:11 UTC
*** Bug 1737921 has been marked as a duplicate of this bug. ***